%define upstream_name    Module-Install-ReadmeFromPod
%define upstream_version 0.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A Module::Install extension to automatically convert POD to a README
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny) >= 0.50.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Install) >= 1.0.0
BuildRequires: perl(Pod::Html)
BuildRequires: perl(Pod::Man)
BuildRequires: perl(Pod::Text) >= 3.130.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
Module::Install::ReadmeFromPod is a the Module::Install manpage extension
that generates a 'README' file automatically from an indicated file
containing POD, whenever the author runs 'Makefile.PL'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.200.0-2.mga3
+ Revision: 369881
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 24 2012 shlomif <shlomif> 0.200.0-1.mga3
+ Revision: 309586
- update to 0.20

* Tue Jun 05 2012 jquelin <jquelin> 0.180.0-1.mga3
+ Revision: 255167
- update to 0.18

* Sat Dec 17 2011 shlomif <shlomif> 0.120.0-1.mga2
+ Revision: 182950
- imported package perl-Module-Install-ReadmeFromPod

